package com.ruoyi.project.patrol.patrol.service.impl;

import com.ruoyi.project.patrol.patrol.domain.TIndex;
import com.ruoyi.project.patrol.patrol.mapper.TIndexMapper;
import com.ruoyi.project.patrol.patrol.service.ITIndexService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class TIndexServiceImpl implements ITIndexService {
    @Autowired
    private TIndexMapper tIndexMapper;

    @Override
    public int getDevNumber() {
        return tIndexMapper.getDevNumber();
    }

    @Override
    public int getUncheckNumber(TIndex tIndex) {
        return tIndexMapper.getUncheckNumber(tIndex);

    }

    @Override
    public int getCheckNumber(TIndex tIndex) {
        return tIndexMapper.getCheckNumber(tIndex);

    }

    @Override
    public int getIssueNumber(TIndex tIndex) {
        return tIndexMapper.getIssueNumber(tIndex);

    }
}
